org.jboss.jca.as.converters

## Enum DataSources.Tag

- java.lang.Object
- - java.lang.Enum<DataSources.Tag>
  - - org.jboss.jca.as.converters.DataSources.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DataSources.Tag>
  Enclosing interface:
    DataSources

      public static enum DataSources.Tag
      extends java.lang.Enum<DataSources.Tag>

  A Tag.
  Author:
    Stefano Maestri

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOCAL_TX_DATASOURCE` no-tx-datasource tag
    `NO_TX_DATASOURCE` no-tx-datasource tag
    `UNKNOWN` always first
    `XA_DATASOURCE` xa-datasource tag

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataSources.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName XsdString
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static DataSources.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DataSources.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final DataSources.Tag UNKNOWN

      always first

    - #### NO_TX_DATASOURCE

          public static final DataSources.Tag NO_TX_DATASOURCE

      no-tx-datasource tag

    - #### LOCAL_TX_DATASOURCE

          public static final DataSources.Tag LOCAL_TX_DATASOURCE

      no-tx-datasource tag

    - #### XA_DATASOURCE

          public static final DataSources.Tag XA_DATASOURCE

      xa-datasource tag

  - ### Method Detail

    - #### values

          public static DataSources.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataSources.Tag c : DataSources.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataSources.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DataSources.Tag>`

    - #### forName

          public static DataSources.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName XsdString
      Parameters:
        `localName` - a XsdString used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)